| Home | Libraries | People | FAQ | More

## Function template inplace_merge

boost::compute::inplace_merge

## Synopsis

    // In header: <boost/compute/algorithm/inplace_merge.hpp>

    template<typename Iterator>
      void inplace_merge(Iterator first, Iterator middle, Iterator last,
                         command_queue & queue = system::default_queue());

## Description

Merges the sorted values in the range [`first`, `middle`) with the sorted values in the range [`middle`, `last`) in-place.